Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.benchmark.byTask.utils
Class Algorithm

    java.lang.Object
      org.apache.lucene.benchmark.byTask.utils.Algorithm

    public class Algorithm

extends Object

Test algorithm, as read from file

Constructor Summary
`Algorithm(PerfRunData runData)` Read algorithm from file

Method Summary
`void` | `execute()` Execute this algorithm
`ArrayList` | `extractTasks()` Expert: for test purposes, return all tasks participating in this algorithm.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Algorithm

    public Algorithm(PerfRunData runData)
              throws Exception

  Read algorithm from file

  Parameters:
    `runData` - perf-run-data used at running the tasks.
  Throws:
    `Exception` - if errors while parsing the algorithm

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### execute

    public void execute()
                 throws Exception

  Execute this algorithm

  Throws:
    `Exception`

### extractTasks

    public ArrayList extractTasks()

  Expert: for test purposes, return all tasks participating in this algorithm.

  Returns:
    all tasks participating in this algorithm.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.